# Admin file for the model RecommendationSystem

from django.contrib import admin
from recommendationsystem.models import Book
from recommendationsystem.models import Customer
from recommendationsystem.models import Publisher
from recommendationsystem.models import PremiumCustomer
from recommendationsystem.models import Author
from recommendationsystem.models import Recommends

class BookAdmin(admin.ModelAdmin):
    list_display = ('title','published')

admin.site.register(Book, BookAdmin)

class CustomerAdmin(admin.ModelAdmin):
    list_display = ('name','address')

admin.site.register(Customer, CustomerAdmin)

class PublisherAdmin(admin.ModelAdmin):
    list_display = ('name',)

admin.site.register(Publisher, PublisherAdmin)

class PremiumCustomerAdmin(admin.ModelAdmin):
    list_display = ('membershipNumber',)

admin.site.register(PremiumCustomer, PremiumCustomerAdmin)

class AuthorAdmin(admin.ModelAdmin):
    list_display = ('name',)

admin.site.register(Author, AuthorAdmin)

class RecommendsAdmin(admin.ModelAdmin):
    list_display = ('review','customer')

admin.site.register(Recommends, RecommendsAdmin)

